com.corticon.rulesemf.assetmodel

## Interface TestsheetAsset

- All Superinterfaces:
    Asset, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface TestsheetAsset
      extends Asset

  A representation of the model object 'Testsheet Asset'.

  The following features are supported:

  - `Testsheet`
  - `Testsheet View List`
  See Also:
    `AssetmodelPackage.getTestsheetAsset()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Testsheet` | `getTestsheet()` Returns the value of the 'Testsheet' containment reference
    `org.eclipse.emf.common.util.EList` | `getTestsheetViewList()` Returns the value of the 'Testsheet View List' containment reference list.
    `void` | `setTestsheet(Testsheet value)` Sets the value of the '`Testsheet`' containment reference

    - ### Methods inherited from interface com.corticon.rulesemf.common.Asset

      `getBuildNumber, getExternalChecksum, getLanguageCode, getMajorServiceNumber, getMajorVersionNumber, getMinorServiceNumber, getMinorVersionNumber, getResourcesReferenced, getResourceURIsReferenced, getUpdateStamp, getValidationMessages, getValidationRequest, isReadOnly, setBuildNumber, setExternalChecksum, setMajorServiceNumber, setMajorVersionNumber, setMinorServiceNumber, setMinorVersionNumber, setReadOnly, setUpdateStamp, setValidationRequest`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTestsheet

          Testsheet getTestsheet()

      Returns the value of the 'Testsheet' containment reference.

      If the meaning of the 'Testsheet' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Testsheet' containment reference.
      See Also:
        `setTestsheet(Testsheet)`, `AssetmodelPackage.getTestsheetAsset_Testsheet()`

    - #### setTestsheet

          void setTestsheet(Testsheet value)

      Sets the value of the '`Testsheet`' containment reference.
      Parameters:
        `value` - the new value of the 'Testsheet' containment reference.
      See Also:
        `getTestsheet()`

    - #### getTestsheetViewList

          org.eclipse.emf.common.util.EList getTestsheetViewList()

      Returns the value of the 'Testsheet View List' containment reference list. The list contents are of type `TestsheetView`.

      If the meaning of the 'Testsheet View List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Testsheet View List' containment reference list.
      See Also:
        `AssetmodelPackage.getTestsheetAsset_TestsheetViewList()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.